org.apache.calcite.avatica.remote

## Class ResponseTranslator

- java.lang.Object
- - org.apache.calcite.avatica.remote.ResponseTranslator

    public class ResponseTranslator
    extends Object

Encapsulate the logic of transforming a protobuf Response message into the Avatica POJO Response.

### Field Summary

Fields
`private Service.Response` `impl`
`private com.google.protobuf.Parser<? extends com.google.protobuf.Message>` `parser`

### Constructor Summary

Constructors
Constructor and Description
`ResponseTranslator(com.google.protobuf.Parser<? extends com.google.protobuf.Message> parser, Service.Response impl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Service.Response` `transform(com.google.protobuf.ByteString serializedMessage)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### parser

    private final com.google.protobuf.Parser<? extends com.google.protobuf.Message> parser

#### impl

    private final Service.Response impl

### Constructor Detail

#### ResponseTranslator

    public ResponseTranslator(com.google.protobuf.Parser<? extends com.google.protobuf.Message> parser,
                              Service.Response impl)

### Method Detail

#### transform

    public Service.Response transform(com.google.protobuf.ByteString serializedMessage)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`